Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.forms
Class HyperlinkGroup

    java.lang.Object
      org.eclipse.ui.forms.HyperlinkSettings
          org.eclipse.ui.forms.HyperlinkGroup

public final class HyperlinkGroup
extends HyperlinkSettings

Manages a group of hyperlinks. It tracks activation, updates normal and active colors and updates underline state depending on the underline preference. Hyperlink labels are added to the group after creation and are automatically removed from the group when they are disposed.

Since:
  3.0

Field Summary

Fields inherited from class org.eclipse.ui.forms.HyperlinkSettings
`UNDERLINE_ALWAYS, UNDERLINE_HOVER, UNDERLINE_NEVER`

Constructor Summary
`HyperlinkGroup(Display display)` Creates a hyperlink group.

Method Summary
`void` | `add(Hyperlink link)` Adds a hyperlink to the group to be jointly managed.
`Hyperlink` | `getLastActivated()` Returns the link that has been active the last, or `null` if no link has been active yet or the last active link has been disposed.
`void` | `setBackground(Color bg)` Sets the group background and also sets the background of all the currently managed links.
`void` | `setForeground(Color fg)` Sets the group foreground and also sets the background of all the currently managed links.
`void` | `setHyperlinkUnderlineMode(int mode)` Sets the hyperlink underline mode.

Methods inherited from class org.eclipse.ui.forms.HyperlinkSettings
`getActiveBackground, getActiveForeground, getBackground, getBusyCursor, getForeground, getHyperlinkCursor, getHyperlinkUnderlineMode, getTextCursor, initializeDefaultForegrounds, setActiveBackground, setActiveForeground`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HyperlinkGroup

    public HyperlinkGroup(Display display)

  Creates a hyperlink group.

Method Detail

### getLastActivated

    public Hyperlink getLastActivated()

  Returns the link that has been active the last, or `null` if no link has been active yet or the last active link has been disposed.

  Returns:
    the last active link or `null`

### add

    public void add(Hyperlink link)

  Adds a hyperlink to the group to be jointly managed. Hyperlink will be managed until it is disposed. Settings like colors, cursors and modes will affect all managed hyperlinks.

  Parameters:
    `link` -

### setBackground

    public void setBackground(Color bg)

  Sets the group background and also sets the background of all the currently managed links.

  Overrides:
    `setBackground` in class `HyperlinkSettings`
  Parameters:
    `bg` - the new background

### setForeground

    public void setForeground(Color fg)

  Sets the group foreground and also sets the background of all the currently managed links.

  Overrides:
    `setForeground` in class `HyperlinkSettings`
  Parameters:
    `fg` - the new foreground

### setHyperlinkUnderlineMode

    public void setHyperlinkUnderlineMode(int mode)

  Sets the hyperlink underline mode.

  Overrides:
    `setHyperlinkUnderlineMode` in class `HyperlinkSettings`
  Parameters:
    `mode` - the new hyperlink underline mode
  See Also:
    `HyperlinkSettings`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.